
var instanceId = null;

/**
 * Define WYSIWYG API plugin.
 */
Drupal.wysiwyg.plugins.nodepicker = {

  /**
   * Return whether the passed node belongs to this plugin.
   */
  isNode: function(node) {
    return ($(node).is('a.nodepicker-link'));
  },

  /**
   * Execute the button.
   */
  invoke: function(data, settings, instanceId) {
    if (data.format == 'html') {
      nodepicker_dialog_open(instanceId);
    }
  }
};

/**
 * Open jQuery UI dialog box.
 */
function nodepicker_dialog_open(instance) {
  instanceId = instance;
  $("body").append("<div id='nodepicker_dialog'><iframe id='nodepicker_dialog_contents' src='"+Drupal.settings.wysiwyg.plugins.drupal.nodepicker.url+"' width='602' height='446' frameborder='0' /></div>");
  $("#nodepicker_dialog").dialog({ modal: true, height: 476, width: 602, title: Drupal.t('Link to existing content'), beforeclose: function(event, ui) { nodepicker_dialog_close(); } }).show();
}

/**
 * Close jQuery UI dialog box.
 */
function nodepicker_dialog_close() {
  $("#nodepicker_dialog").remove();
}
